- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes

# AttributeMirrorConfigurationWidget Class Reference

Search for all occurrences

## Detailed Description

An attribute widget for setting the brush mirror mode.

Definition at line 651 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeMirrorConfigurationWidget:
[legend]

List of all members.

## Public Slots
void | OnChange (int)
| This method is called when the user selects a new item in the combobox.
void | ShowMirrorAxis (int)
| This method is called when the user is scrolling through the menu choices, to display a preview of the mirroring axis.
## Public Member Functions
| AttributeMirrorConfigurationWidget (QWidget *pParent, int iWidth, amirrorcfg *pAttribute)
| Constructor.
## Protected Member Functions
void | Update (void)
| Updates the widget values from the attribute.
## Protected Attributes
bool | m_bLock
| Prevents unnecessary window updates.
MirrorComboBox | m_cCombo
| The combo box to display mirror modes.

## Constructor & Destructor Documentation

AttributeMirrorConfigurationWidget | ( | QWidget * | pParent,
|  | int | iWidth,
|  | amirrorcfg * | pAttribute
| ) |  |

Constructor.

## Member Function Documentation

void Update | ( | void |  | ) | `[protected, virtual]`

Search for all occurrences

Updates the widget values from the attribute.

Reimplemented from AttributeWidget.

void OnChange | ( | int |  | ) | `[slot]`

Search for all occurrences

This method is called when the user selects a new item in the combobox.

void ShowMirrorAxis | ( | int |  | ) | `[slot]`

Search for all occurrences

This method is called when the user is scrolling through the menu choices, to display a preview of the mirroring axis.

## Member Data Documentation

bool m_bLock `[protected]`

Search for all occurrences

Prevents unnecessary window updates.

Definition at line 660 of file widgets.h.

MirrorComboBox m_cCombo `[protected]`

Search for all occurrences

The combo box to display mirror modes.

Definition at line 664 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget
AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget AttributeMirrorConfigurationWidget